tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Dunkle, Ed" <Ed.Dun...@ameriserve.com>
Subject JSDK 2.1 development --> JSDK 2.2 in Tomcat
Date Wed, 10 May 2000 16:26:04 GMT
Is it critical to compile code against the same JSDK version that is in
Tomcat?

I am developing in an environment that uses JSDK 2.1 but then deploy to
Tomcat 3.1 which includes JSDK 2.2.  My JSPs don't work under Tomcat
although they work fine in development.

I guess the other difference is that I am presently using JSP .9 spec in
developemnt.  That won't fly in Tomcat, right?  I have to use JSP 1.1 spec?


Using WebSphere in development there is nice support for JSP syntax checking
and debugging.  How do you track down JSP problems under Tomcat?

I see the work directory has jsp java and class files, but the one I'm
having trouble with as a zero length so I don't know where to find the
syntax error.

Also, I don't see where System.out or System.err messages go.  Maybe that's
because I have Tomcat running as a service so there is no console window...

Thanks,
Ed

Mime
View raw message